Package tigase.monitor.tasks

## Class LoggerTask

- java.lang.Object
- - tigase.monitor.tasks.AbstractConfigurableTask
  - - tigase.monitor.tasks.LoggerTask

- All Implemented Interfaces:
    `Initializable`, `UnregisterAware`, `ConfigurableTask`, `MonitorTask`

      @Bean(name="logger-task",
            parent=MonitorComponent.class,
            active=true)
      public class LoggerTask
      extends AbstractConfigurableTask
      implements Initializable

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected MonitorComponent` | `component` |
    `protected static TimestampHelper` | `dtf` |
    `protected EventBus` | `eventBus` |
    `static java.util.logging.Logger` | `log` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LoggerTask()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `disable()` |
    `protected void` | `enable()` |
    `Form` | `getCurrentConfiguration()` |
    `java.util.logging.Level` | `getLevelTreshold()` |
    `void` | `initialize()` | Method will be called, when bean will be created, configured and ready to use.
    `void` | `sendWarningOut​(java.lang.String logBuff)` |
    `void` | `setLevelTreshold​(java.lang.String levelTreshold)` |
    `void` | `setNewConfiguration​(Form form)` |

    - ### Methods inherited from class tigase.monitor.tasks.AbstractConfigurableTask

      `beforeUnregister, isEnabled, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          public static final java.util.logging.Logger log

    - #### dtf

          protected static final TimestampHelper dtf

    - #### component

          @Inject
          protected MonitorComponent component

    - #### eventBus

          @Inject
          protected EventBus eventBus

  - ### Constructor Detail

    - #### LoggerTask

          public LoggerTask()

  - ### Method Detail

    - #### getCurrentConfiguration

          public Form getCurrentConfiguration()

      Specified by:
        `getCurrentConfiguration` in interface `ConfigurableTask`
      Overrides:
        `getCurrentConfiguration` in class `AbstractConfigurableTask`

    - #### getLevelTreshold

          public java.util.logging.Level getLevelTreshold()

    - #### setLevelTreshold

          public void setLevelTreshold​(java.lang.String levelTreshold)

    - #### initialize

          public void initialize()

      Description copied from interface: `Initializable`
      Method will be called, when bean will be created, configured and ready to use.
      Specified by:
        `initialize` in interface `Initializable`
      Overrides:
        `initialize` in class `AbstractConfigurableTask`

    - #### sendWarningOut

          public void sendWarningOut​(java.lang.String logBuff)

    - #### setNewConfiguration

          public void setNewConfiguration​(Form form)

      Specified by:
        `setNewConfiguration` in interface `ConfigurableTask`
      Overrides:
        `setNewConfiguration` in class `AbstractConfigurableTask`

    - #### disable

          protected void disable()

      Overrides:
        `disable` in class `AbstractConfigurableTask`

    - #### enable

          protected void enable()

      Overrides:
        `enable` in class `AbstractConfigurableTask`